:root {
  --primary-color: #152535;
  --secondary-color: #f5f5f5;
  --tertiary-color: #ffffff;
  --accent-color: #e34c15;
  --text-color: #ffffff;
}

body {
  background-color: #ffffff;
  padding: 0;
  margin: 0;
  font-family: "Roboto", sans-serif;
  height: 100dvh;
  letter-spacing: 0.2px;
  overscroll-behavior: none;
}

.application {
  height: 100dvh;
  display: flex;
  flex-direction: column;
  /* margin: auto; */
  padding: 0;
  /* max-width: 40rem; */
  background-color: #f5f5f5;
  position: relative;
  overflow: hidden;
  /* min-width: 20rem; */
}

body.landscape-primary .application {
  flex-direction: row;
}

body.landscape-secondary .application {
  flex-direction: row-reverse;
}

/* .powered {
  width: calc(15rem - 3rem);
  font-size: 1rem !important;
  font-weight: 300 !important;
  text-align: center;
  cursor: pointer;
} */

/* .powered {
    color: #ffffff !important;
    width: calc(15rem - 3rem);
    font-size: 1rem !important;
    font-weight: 300 !important;
    text-align: center;
    cursor: pointer;
    background: #152535;
    opacity: 1 !important;
    display: flex !important;
    flex-direction: column;
    gap: 0.5rem;
    padding: 0.5rem 1.5rem 2rem!important;
    width: calc(100% - 3rem);
    margin-bottom: -1.5rem !important;
    align-items: flex-start;
    font-style: italic;
    text-indent: 0.25rem;
    border-radius: 0 1rem;
} */

.application.embedded .appBanner {
  display: none;
}

.application.embedded .contentitem:not(#appBanner) {
  padding-top: 1rem !important;
}
 
.appBanner {
      flex: 0 0 100%;
    position: absolute;
    overflow: hidden;
    width: 100%;
    padding-top: 0 !important;
}

.appBanner img {
  object-fit: contain;
  width: 100%;
}

.powered {
    color: #ffffff !important;
    width: calc(15rem - 3rem);
    font-size: 1rem !important;
    font-weight: 300 !important;
    text-align: center;
    cursor: pointer;
    background: #152535;
    opacity: 1 !important;
    flex-direction: column;
    gap: 0.5rem;
    padding: 0.5rem 1.5rem !important;
    width: calc(100% - 4.25rem);
    /* margin-bottom: -1.5rem !important; */
    /* text-indent: 0.25rem; */
    border-radius: 1rem;
    margin: auto;
    font-weight: 100 !important;
    font-size: 0.75rem !important;
    box-shadow: 1px 1px 5px #000000;
}

#logo > img {
  object-fit: unset;
  width: 12rem;
  opacity: 1 !important;
}

.sessionItem#logo {
  overflow: hidden;
  height: 5rem;
  opacity: 1 !important;
  margin: 0;
  padding: 0;
  width: 100%;
}

.webinaryBaseLogo {
  height: 5rem;
  background: #152535;
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 0 1.5rem;
  width: 100%;
  box-sizing: border-box;
}

.webinaryBaseLogo img {
  width: 100%;
}

.whiteLabelLogo {
  height: 5rem;
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 0 1.5rem;
}

.whiteLabelLogo img {
  width: 100%;
  height: 100%;
  object-fit: contain;
}

.connectionOverlay {
  display: flex;
  flex-direction: column;
  align-items: center;
  text-align: center;
  position: absolute;
  width: 100%;
  height: 100%;
  background: #0000008f;
  z-index: 2000;
  backdrop-filter: blur(5px);
  -webkit-backdrop-filter: blur(5px);
  color: white;
  justify-content: center;
  top: 0;
  left: 0;
}

.connectionMessage {
  font-weight: 300;
  max-width: 25rem;
}

.connectionMessage p:first-child {
  font-weight: 100;
  font-size: 2rem;
}

.connectionMessage p:nth-child(3),
.connectionMessage p:nth-child(4),
.connectionMessage p:nth-child(5),
.connectionMessage p:nth-child(6) {
  color: #c1c1c1;
}

.connectionMessage p:nth-child(3) {
  margin-top: 2rem;
}

.embedded {
  flex-direction: column-reverse !important;
}

#chatcontent.embedded {
  padding: 1rem 1rem 0 1rem;
}

#chatcontent.embedded > .messages {
  margin: 1rem 0 0 0;
  flex-direction: column;
}

#chatcontent.embedded #messageLimit {
  position: absolute;
  right: 0.5rem;
  bottom: -1.25rem !important;
  opacity: 0.5;
  top: unset;
}

.hidden {
  display: none !important;
}

.no-pointer-events {
  pointer-events: none;
}

.modal {
  display: flex;
  position: absolute;
  background: #15253580;
  width: 100%;
  height: 100%;
  z-index: 1000;
  pointer-events: all;
}

.modalcontainer {
  background: #f5f5f5;
  border-radius: 0.5rem;
  width: 70%;
  min-width: 20rem;
  min-height: 15rem;
  margin: auto;
  display: flex;
  flex-direction: column;
  align-items: center;
  padding: 1rem;
  box-sizing: border-box;
  max-width: 40rem;
}

.modalcontainer #register {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  width: 80%;
  height: 100%;
}

#sessionclosed {
  text-align: center;
}

#sessionclosed h2 {
  color: var(--primary-color);
  opacity: 0.6;
}

.modalerror {
  color: red;
  font-size: 0.9rem;
  transition: 0.5s cubic-bezier(0, 1, 1, 1);
  transform: translateY(1rem);
  opacity: 0;
  z-index: 1;
}

.modalerror.open {
  transform: translateY(0);
  opacity: 1;
}

#imageModal {
  padding: 2rem;
  box-sizing: border-box;
  align-items: center;
  justify-content: center;
  backdrop-filter: blur(0.5rem);
}

#imageModal img {
  max-width: 100%;
  max-height: 100%;
}

#register p {
  text-align: center;
}
form button {
  width: 100%;
}

button {
  min-width: 8rem;
  min-height: 2rem;
  border: none;
  background-color: var(--accent-color);
  color: white;
  border-radius: 0.5rem;
  cursor: pointer;
  font-weight: 500;
  font-size: 0.9rem;
  margin: 1rem 0;
  z-index: 100;
  visibility: visible;
}

input[type="text"],
input[type="number"],
input[type="email"] {
  height: 2rem;
  font-size: 1rem;
  background-color: transparent;
  border: 0px;
  border-bottom: 2px solid var(--primary-color);
  opacity: 0.5;
  width: 100%;
  margin: 0.5rem 0;
}

/* For Chrome, Safari, Edge, Opera */
input[type="number"]::-webkit-inner-spin-button,
input[type="number"]::-webkit-outer-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

.selected input[type="text"], .selected input[type="email"] {
  border-bottom: 2px solid #ffffff;
  color: #ffffff;
}

.selected input[type="text"]::placeholder, .selected input[type="email"]::placeholder {
  color: #f5f5f5;
}

/* For Firefox */

#messageinputfield:focus {
  outline: none;
  border: none;
  opacity: 1;
}

input[type="text"]:focus,
input[type="number"]:focus,
input[type="email"]:focus {
  outline: none;
  border-bottom: 2px solid var(--accent-color);
  opacity: 1;
}

input[type="text"]:not(:placeholder-shown),
input[type="number"]:not(:placeholder-shown),
input[type="email"]:not(:placeholder-shown) {
  opacity: 1;
}

input[type="range"] {
  -webkit-appearance: none; /* Hides the slider so that custom slider can be made */
  width: 100%; /* Specific width is required for Firefox. */
  background: transparent; /* Otherwise white in Chrome */
  margin: 0;
}

input[type="range"]::-webkit-slider-thumb {
  -webkit-appearance: none;
  border: 4px solid #f5f5f5;
  height: 2rem;
  width: 3rem;
  border-radius: 1rem;
  background: var(--accent-color);
  cursor: pointer;
  margin-top: calc(-0.5rem - 4px);
}

input[type="range"]::-moz-range-thumb {
  border: 4px solid #f5f5f5;
  height: 2rem;
  width: 3rem;
  border-radius: 1rem;
  background: var(--accent-color);
  cursor: pointer;
  margin-top: calc(-0.5rem - 4px);
}

input[type="range"]::-ms-thumb {
  border: 4px solid #f5f5f5;
  height: 2rem;
  width: 3rem;
  border-radius: 1rem;
  background: var(--accent-color);
  cursor: pointer;
  margin-top: calc(-0.5rem - 4px);
}

input[type="range"]:focus {
  outline: none; /* Removes the blue border. You should probably do some kind of focus styling for accessibility reasons though. */
}

input[type="range"]::-ms-track {
  width: 100%;
  cursor: pointer;

  /* Hides the slider so custom styles can be added */
  background: transparent;
  border-color: transparent;
  color: transparent;
}

input[type="range"]::-webkit-slider-runnable-track {
  width: 100%;
  height: 0.5rem;
  cursor: pointer;
  background: var(--primary-color);
  border-radius: 0.25rem;
}

input[type="range"]:focus::-webkit-slider-runnable-track {
  background: var(--primary-color);
}

input[type="range"]::-moz-range-track {
  width: 100%;
  height: 0.5rem;
  cursor: pointer;
  background: var(--primary-color);
  border-radius: 0.25rem;
}

input[type="range"]::-ms-track {
  width: 100%;
  height: 0.5rem;
  cursor: pointer;
  background: transparent;
  border-color: transparent;
  /* border-width: 16px 0; */
  color: transparent;
}
input[type="range"]::-ms-fill-lower {
  background: var(--primary-color);
  border-radius: 0.25rem;
}
input[type="range"]:focus::-ms-fill-lower {
  background: var(--primary-color);
}
input[type="range"]::-ms-fill-upper {
  background: var(--primary-color);
  border-radius: 0.25rem;
}
input[type="range"]:focus::-ms-fill-upper {
  background: var(--primary-color);
}

.container {
  display: flex;
  flex: 1;
  overflow: hidden;
}

.contentitem {
  flex: 0 0 100%;
  overflow: hidden;
  /* margin: 1rem; */
  padding: 0rem;
  padding-top: 1rem;
  box-sizing: border-box;
  display: flex;
  flex-direction: column;
  transition: 0.25s cubic-bezier(0, 1, 1, 1);
  align-items: center;
  justify-content: space-between;
}

#chatcontent {
  padding: 0 1rem 1rem;
  justify-content: flex-end;
}

#photoboothcontent {
  padding-top: 0;
}

.menu {
  display: flex;
  justify-content: space-around;
  align-items: center;
  background-color: white;
  color: var(--primary-color);
  /* height: 10dvh; */
  margin: 0;
  box-shadow: 0px -5px 2rem 0px rgba(0, 0, 0, 0.1);
  flex-grow: 0;
  flex-shrink: 0;
  padding-top: calc(env(safe-area-inset-bottom) / 2);
  padding-bottom: calc(env(safe-area-inset-bottom) / 2);
  box-sizing: content-box;
}

body.landscape-primary .menu {
  flex-direction: column;
  width: 7rem;
}

body.landscape-secondary .menu {
  flex-direction: column;
  width: 7rem;
}

.indicator {
  width: 0.75rem;
  height: 0.75rem;
  background: var(--accent-color);
  border-radius: 50%;
  position: absolute;
  top: 0.05rem;
  right: 0.25rem;
  opacity: 1;
  box-shadow: 2px 2px 8px 0px #00000050;
}

.menuitem {
  cursor: pointer;
  width: 3rem;

  display: flex;
  align-items: center;
  flex-direction: column;
  justify-content: center;
  margin: 1dvh 0;

  transition: 0.25s;
  position: relative;
}

.menuitem.single {
  flex-direction: row;
  font-size: 2rem !important;
  gap: 1rem;
  display: flex;
  /* justify-content: space-around; */
  width: fit-content;
  margin: 1rem;
}

.menuitem.single p {
  font-size: 1.25rem;
}

.menuitem:hover {
  opacity: 1;
}

.itemicon {
  display: flex;
  justify-content: center;
  align-items: center;
  margin: 0;
}
.itemicon svg {
  height: 5dvh;
  max-height: 2.5rem;
}

.itemlabel {
  font-size: clamp(0.75rem, 3vw, 1rem);
  text-align: center;
  margin: 0;
  margin-top: 0.25rem;
}
.menuitem.active .itemicon .st0,
.menuitem.active .itemicon .st1,
.active {
  opacity: 1 !important;
  fill: var(--accent-color);
  color: var(--accent-color);
}
.menuitem.active .itemicon .st2 {
  opacity: 1;
  stroke: #ffffff;
}

.menuitem.active .itemicon .st3 {
  opacity: 1;
  stroke: #ffffff;
  fill: var(--accent-color);
}
.menuitem.active .itemicon .st4 {
  opacity: 1;
  fill: #ffffff;
}

.menuitem.active .itemicon .st5 {
  opacity: 1;
  fill: var(--accent-color);
  stroke: var(--accent-color);
}

/* background */
.st0 {
  stroke-width: 50;
  stroke-linecap: round;
  stroke-miterlimit: 133.3333;
  fill: none;
  stroke: none;
}
/* outline */
.st1 {
  stroke-width: 50;
  stroke-linecap: round;
  stroke-miterlimit: 133.3333;
  fill: var(--primary-color);
}
/* puntjes */
.st2 {
  stroke-width: 50;
  stroke-linecap: round;
  stroke-miterlimit: 133.3333;
  stroke: var(--primary-color);
}

.st3 {
  stroke-width: 50;
  stroke-linecap: round;
  stroke-miterlimit: 133.3333;
  fill: none;
  stroke: var(--primary-color);
}

.st4 {
  stroke-width: 50;
  stroke-linecap: round;
  stroke-miterlimit: 133.3333;
  fill: var(--primary-color);
}

.st5 {
  stroke-width: 50;
  stroke-linecap: round;
  stroke-miterlimit: 133.3333;
  fill: none;
  stroke: var(--primary-color);
}

.messageinput {
  border: 1px solid var(--primary-color);
  border-radius: 0.5rem;
  background-color: #ffffff;
  display: flex;
  flex-direction: row;
  align-items: center;
  max-width: 40rem;
  width: 100%;
  position: relative;
}

.messageinput input {
  border: none;
  padding: 0.5rem 0.5rem;
  width: calc(100% - 2rem);
  border-radius: 0.5rem;
  height: 1rem;
  resize: none;
  vertical-align: middle;
  font-family: "Roboto", sans-serif;
}

.messageinput input:focus {
  outline: none;
}

.messageinput input::placeholder {
  font-family: "Roboto", sans-serif;
  vertical-align: middle;
}

.sendbutton {
  background-color: var(--primary-color);
  color: white;
  border: none;
  padding: 0.5rem;
  margin: 0.3rem;
  cursor: pointer;
  border-radius: 0.5rem;
  width: 2.5rem;
  height: 2.5rem;
  min-width: unset;
}

.sendbutton svg {
  stroke-width: 50;
  stroke-linecap: round;
  stroke-miterlimit: 133.3333;
  fill: none;
  stroke: #ffffff;
  width: 1.5rem;
  height: 1.5rem;
}

/* messagestyling */
#chatmessages {
  padding: 0.25rem;
}

#chatmessages::-webkit-scrollbar {
  width: 0.5rem;
}

#chatmessages::-webkit-scrollbar-track {
  background: #f5f5f5; /* Color of the scrollbar track */
}

#chatmessages::-webkit-scrollbar-thumb {
  background: #1525352f; /* Color of the scrollbar thumb */
  border-radius: 0.25rem;
  transition: 0.5s;
}

#chatmessages::-webkit-scrollbar-thumb:hover {
  background: #15253583; /* Color of the scrollbar thumb on hover */
}

.messages {
  display: flex;
  flex-direction: column-reverse;
  overflow-y: scroll;
  margin: 0 0 1rem 0;
  font-family: "Roboto", sans-serif;
  max-width: 40rem;
  width: 100%;
  overflow-x: hidden;
}
.outmessage {
  text-align: start;
  max-width: 90%;
  align-self: end;
  margin: 0 0 0.5rem 0;
}

.outmessage .messagebox {
  background-color: var(--primary-color);
  color: white;
  border-radius: 0.5rem;
  padding: 0.75rem;
  /* padding-left: 1rem; */
  /* padding-right: 1rem; */
  word-break: break-word;
}

.outmessage .user {
  font-size: 0.75rem;
  color: #ffffff;
  opacity: 0.5;
  font-weight: 600;
  margin: 0 0 0.5rem 0;
}

.outmessage .messagebox .message {
  color: #ffffff;
  font-weight: 300;
}

.messagestatus {
  font-size: 0.75rem;
  margin: 0.25rem 0.5rem;
  font-weight: 300;
  text-align: end;
}

.inmessage {
  text-align: start;
  max-width: 90%;
  align-self: start;
  margin: 0 0 0.5rem 0;
}

.inmessage .user {
  font-size: 0.75rem;
  color: var(--primary-color);
  opacity: 0.5;
  font-weight: 600;
  margin: 0 0 0.5rem 0;
}

.inmessage .messagebox {
  border: 1px solid var(--primary-color);
  color: var(--primary-color);
  border-radius: 0.5rem;
  padding: 0.75rem;
  word-break: break-word;
}

.message {
  white-space: pre-wrap;
}

.reply {
  border: 1px solid #00000040;
  padding: 0.5rem;
  border-radius: 0.25rem;
  margin: 1rem 1rem 0rem 0rem;
  width: calc(100% - 0rem - 2px);
  background: #d1d2d3;
  width: calc(100% - 0.5rem);
}

.inmessage .reply {
  margin-left: calc(-0.25rem - 1px);
  margin-bottom: -0.25rem;
}

.outmessage .reply {
  background: #274058;
  margin-left: -0.5rem;
}

.reply .messagestatus {
  margin: 0.5rem 0 0;
}

.hostmessage {
  width: calc(100% - 4px);
  background: var(--primary-color);
  border-radius: 0.5rem;
  color: var(--text-color);
  border: 2px solid var(--primary-color);
  max-width: 100%;
  font-size: 1rem;
  font-weight: 300;
  text-align: center;
  word-break: break-word;
}

.hostmessage .user {
  color: var(--text-color);
  opacity: 0.7;
}

.hostmessage .messagebox {
  border: none;
  color: #f5f5f5;
  text-align: start;
  line-height: 1.25rem;
  word-break: break-word;
}

.hostmessage .messagestatus {
  display: none;
}
/* pollstyling */

.pollitems,
.votingitems {
  display: flex;
  flex-direction: column;
  gap: 2rem;
  max-width: 40rem;
  width: 100%;
  overflow-y: auto;
  padding: 0;
  /* padding-top: 2rem; */
}

.voteConfirmed {
  position: absolute;
  width: calc(100% - 4px);
  height: calc(100%);
  display: flex;
  justify-content: center;
  align-items: center;
  border: 2px solid green;
  border-radius: 1rem;
  transform: translateY(-100%);
  z-index: 1000;
  background: #008e0059;
  color: green;
  font-size: 2rem;
  font-weight: 600;
  opacity: 1;
}
/* 
.pollitems .poll:first-child,
.votingitems .vote:first-child {
  margin-top: 4rem;
} */

.pollImage {
  height: 12rem;
  display: flex;
  flex-direction: row;
  justify-content: center;
}

.pollImage img {
  height: 100%;
}

.vote {
  margin-top: 1rem;
  margin-left: 0.5rem;
  margin-right: 0.5rem;
  position: relative;
}

.vote.disabled {
  margin-top: 1rem;
  margin-left: 0.5rem;
  margin-right: 0.5rem;
}

.pollmessage,
.votingmessage,
.surveymessage {
  font-size: 1rem;
  font-weight: 400;
  margin: 0.5rem auto;
  text-align: center;
  opacity: 0;
  transition: 0.5s cubic-bezier(0, 1, 1, 1);
  position: fixed;
  bottom: 8rem;
  color: #a3a3a3;
  width: calc(100% - 2rem);
  z-index: 200;
}

.pollmessage.open,
.votingmessage.open,
.surveymessage.open {
  opacity: 1;

  transform: translateY(-1rem);
}

.answers {
  display: flex;
  flex-direction: column;
  align-items: center;
}

.answer {
  width: calc(100% - 2rem);
  border: 2px solid #15253563;
  border-radius: 0.5rem;
  padding: 0.75rem;
  margin: 0.25rem 0;
  box-sizing: border-box;
  cursor: pointer;
  position: relative;
  display: flex;
  align-items: center;
  transition: 0.5s;
}

.answer:hover {
  border: 2px solid var(--primary-color);
  background: #15253514;
}

.survey-result-item .answer:hover {
  border: 2px solid #15253563;
  background: transparent;
  cursor: default;
}

.survey-result-item .answer.selected {
  border: 2px solid var(--primary-color);
  background: var(--primary-color);
}

.answer.openquestion {
  flex-direction: column;
}

.answer.openquestion:hover {
  border: none;
  background-color: transparent;
}

.answer.incorrect:before {
  content: "\f057";
  font-family: "Font Awesome 6 Free";
  color: rgb(211 46 52);
  font-size: 1.5rem;
  padding: 0 0.75rem 0 0;
}

.answer.correct:before {
  content: "\f058";
  font-family: "Font Awesome 6 Free";
  color: rgb(76, 175, 80);
  font-size: 1.5rem;
  padding: 0 0.75rem 0 0;
}

.answer p {
  margin: 0 0 0.5rem 0;
}

.openanswer {
  display: flex;
  flex-direction: column;
  margin: 0.5rem;
  padding: 0;
  align-items: center;
}

.openanswer input {
  width: calc(100% - 2rem);
}

.answers .givenanswers {
  display: flex;
  flex-direction: column;
  align-items: center;
  border: 2px solid #1525352e;
  border-radius: 0.5rem;
  padding: 1rem;
  box-sizing: border-box;
  margin: 1rem;
  text-align: center;
  position: relative;
  width: 100%;
}

.answers .givenanswers h3 {
  position: absolute;
  top: -2rem;
  /* left: 0; */
  /* right: 0; */
  text-align: center;
  font-size: 1.25rem;
  font-weight: 500;
  background: #f5f5f5;
  width: fit-content;
  padding: 0 0.5rem;
  color: #1525355e;
}

.answers .givenanswers .givenanswer {
  margin: 0.5rem;
  display: flex;
  justify-content: space-between;
}

.deleteanswer {
  opacity: 0.5;
  transition: 0.5s;
}

.deleteanswer:hover {
  opacity: 1;
  color: red;
}

.openanswerinput {
  padding-right: 3.5rem;
  box-sizing: border-box;
}

.maxlengthindicator {
  position: absolute;
  right: 0rem;
  top: 2rem;

  padding: 0 1rem 0 0.5rem;
  color: #15253591;
}

.pollcontrol,
.votingcontrol {
  display: flex;
  flex-direction: row-reverse;
  justify-content: space-between;
  width: 100%;
  padding: 0 1rem;
  box-sizing: border-box;
  position: relative;
  margin-top: auto;
  max-width: 40rem;
  gap: 1rem;
}

.changepoll,
.changevote {
  background-color: transparent;
  color: var(--primary-color);
  border: 2px solid var(--primary-color);
}

.question {
  width: 100%;
  position: relative;
  padding: 1rem 0 0;
  border-radius: 0.5rem;
}

.question.required:after {
  content: "*";
  position: absolute;
  right: 1.5rem;
  top: 0.5rem;
  color: red;
}

.question.alert {
  box-shadow: 0px 0px 6px 2px #ff00008a;
}

.questionnumber {
  display: none;
}

.evaluation .openquestion {
  display: flex;
  flex-direction: column;
  align-items: center;
}

.evaluation .openquestion input {
  width: calc(100% - 2rem);
  margin: 0.5rem 0;
}

.evaluation .openquestion > div {
  width: 100%;
}

.mandate {
  /* border: 2px solid #152535; */
}

.mandateNotion {
  text-align: start;
  /* margin-bottom: 0.5rem; */
  margin-left: 1rem;
  font-size: 1.25rem;
  font-weight: 400;
}

.questiontext {
  font-size: 1.5rem;
  text-align: start;

  font-weight: 500;
  margin-left: 1rem;
  margin-right: 1rem;
  /* max-width: calc(100% - 6rem); */
}

.evaluation .questiontext {
  margin-bottom: 0.5rem;
  margin-right: 2.5rem;
}

.questiontip {
  margin-left: 1rem;
  opacity: 0.7;
  margin-bottom: 1rem;
  margin-top: 0.5rem;
}

.openquestion {
  border: none;
  padding-left: 0.3rem !important;
  position: relative;
}

.givenanswersdiv {
  width: 100%;
  overflow-y: auto;
  overflow-x: hidden;
  max-height: 15rem;
  display: flex;
  flex-direction: column;
}

.rating {
  border: none;

  margin-top: 3rem;
  width: 100%;
  box-sizing: border-box;
}

.labels {
  width: 100%;
  display: flex;
  justify-content: space-between;
  margin: 1rem 0rem;
}

.label {
  text-align: center;
}
.disabled {
  opacity: 0.5 !important;
  pointer-events: none;
}

.selected {
  background-color: var(--primary-color);
  color: white;
}

.selected:hover {
  background-color: var(--primary-color);
  color: white;
}

.sessionItem {
  display: none;
}

.multipleVotesShadow {
  width: calc(100% + 2rem);
  height: 11rem;
  background: #f5f5f500;
  position: absolute;
  bottom: -6rem;
  box-shadow: #0000001a 0rem -2rem 20px 0px;
}

/**
 * Applies responsive styles when the viewport is at least 40rem wide (commonly tablet-sized screens and up).
 * Use this media query block to define layout and visual adjustments for larger displays.
 */
@media (min-width: 40rem) {
  body:not(.mobile) .application:not(.embedded) {
    height: 100dvh;
    display: flex;
    flex-direction: row-reverse;
    margin: auto;
    padding: 0;
    background-color: #f5f5f5;
    position: relative;
    overflow: hidden;
    min-width: 20rem;
    max-width: unset;
  }

  body:not(.mobile) .menu:not(.embed) {
    height: 100dvh;
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    width: 15rem;
    align-items: flex-start;
    padding: 0;
    box-sizing: border-box;
  }

  body:not(.mobile) .menuitem:not(.embed) {
    cursor: pointer;
    width: 100%;
    height: unset;
    display: flex;
    align-items: center;
    flex-direction: row;
    justify-content: flex-start;
    margin: 1dvh 0;
    opacity: 0.5;
    transition: 0.25s;
    gap: 1rem;
    padding: 0 1.5rem;
    box-sizing: border-box;
  }

  body:not(.mobile) .indicator {
    right: unset;
  }

  body:not(.mobile) #appBanner {
    display: none;
  }

  body:not(.mobile) .contentitem:not(#appBanner) { padding-top: 1rem !important; }

  body:not(.mobile) .active {
    opacity: 1 !important;
    fill: var(--accent-color);
    color: var(--accent-color);
  }

  body:not(.mobile) .menuitem:hover:not(.embed) {
    opacity: 1;
    transform: translateX(10px);
  }

  body:not(.mobile) .contentitem:not(.embed) {
    flex: 0 0 100%;
    overflow: hidden;
    padding: 1rem;
    padding-top: 0rem;
    box-sizing: border-box;
    display: flex;
    flex-direction: column;
    transition: 0.25s cubic-bezier(0, 1, 1, 1);
    align-items: center;
    justify-content: space-between;
  }

  body:not(.mobile) .sessionItem:not(.embed) {
    display: block;
    margin-top: auto;
    margin-bottom: 1dvh;
    padding: 0 1.5rem;
    text-wrap: auto;
    font-weight: 500;
    font-size: 1.5rem;
    color: var(--primary-color);
    opacity: 0.5;
  }

    body:not(.mobile) .sessionItem.powered:not(.embed) {
    display: flex;
    margin-top: auto;
    margin-bottom: 1dvh;
    padding: 0 1.5rem;
    text-wrap: auto;
    font-weight: 500;
    font-size: 1.5rem;
    color: var(--primary-color);
    opacity: 0.5;
  }


}

#messageLimit {
  position: absolute;
  right: 0.5rem;
  top: -1.5rem;
  opacity: 0.5;
}

#messageLimitMessage {
  position: absolute;
  background: #f5f5f582;
  height: 100%;
  width: 100%;
  display: flex;
  flex-direction: row;
  align-items: center;
  /* padding: 0 2rem; */
  box-sizing: border-box;
  z-index: 2000;
  border: 2px solid red;
  border-radius: 0.25rem;
  color: red;
  justify-content: center;
}

/* survey items */

#surveycontent {
  padding-top: 1rem;
  gap: 1rem;
}

.surveyItem {
  height: 100%;
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 1rem;
  justify-content: flex-start;
  padding: 1rem;
  box-sizing: border-box;
  flex-shrink: 0;
  max-width: 40rem;
  padding-top: 1rem;
  /* padding-bottom: 3rem; */
}

.surveyMenuItem {
  background: #ffffff;
  padding: 0.75rem 1rem;
  border-radius: 1rem;
  box-shadow: 4px 3px 9px #00000024;
  width: 100%;
  box-sizing: border-box;
  display: flex;
  justify-content: space-between;
  align-items: center;
  border: 2px solid #ffffff;
  gap: 1rem;
}

.surveyMenuItem.passed {
  user-select: none;
  pointer-events: none;
  border: 2px solid green;
  background: #00800003;
}

.surveyMenuItem.failed {
  user-select: none;
  pointer-events: none;
  border: 2px solid red;
  background: #ff000012;
}

.surveyMenuItem .survey-info {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  gap: 0.5rem;
  user-select: none;
}

.surveyMenuItem .survey-info h3 {
  font-size: 1.5rem;
  margin: 0;
}

.surveyMenuItem .survey-info p {
  margin: 0;
  opacity: 0.5;
}

.survey-type-indicator {
  width: 5rem;
  border: 1px solid #e34c15;
  border-radius: 0.5rem;
  padding: 0.5rem;
  text-align: center;
  background: #f7d9d1;
  color: #e34c15;
  height: fit-content;
  user-select: none;
}

.survey-type-indicator.blue {
  border: 1px solid #03a9f4;
  color: #03a9f4;
  background: #d1e9fb;
}

.survey-type-indicator.green {
  border: 1px solid #00b300;
  color: #00b300;
  background: #00b3003b;
}

.survey-slide {
  width: 100%;
  /* display: flex; */
  flex-direction: column;
  justify-content: flex-start;
  box-sizing: border-box;
  align-items: center;
  background: #ffffff;
  margin: auto 0;
  border-radius: 1rem;
  box-shadow: 4px 3px 9px #00000024;
  padding: 1rem 0;
  display: none;
  max-height: 100%;
}

.survey-slide.current {
  display: flex;
}

.survey-title {
  font-size: 2rem;
  margin: 1rem;

  align-self: start;
}

.evaluation .survey-title {
  margin-top: 2rem;
}

.survey-information {
  display: flex;
  justify-content: space-between;
  align-items: center;
  gap: 1rem;
  padding: 0 1rem;
  box-sizing: border-box;
  width: 100%;
}

.survey-description {
  padding: 0 1rem;
  box-sizing: border-box;
  white-space: pre-wrap;
}

.survey-information .survey-info-item {
  width: 33%;
  flex-grow: 1;
  /* flex-shrink: 0; */
  display: flex;
  flex-direction: column;
  align-items: center;
  border: 1px solid #15253544;
  border-radius: 0.25rem;
  padding: 0.5rem;
  box-sizing: border-box;
  height: 100%;
  justify-content: space-evenly;
  text-align: center;
}

.tries-icon {
  display: flex;
  gap: 0.25rem;
  flex-wrap: wrap;
}

.tries-icon .icon {
  background: var(--primary-color);
  height: 1rem;
  width: 1rem;
  border-radius: 50%;
}

.tries-icon .icon.used {
  background: #606870;
}

.info-count {
  font-size: 1.5rem;
  font-weight: 600;
  margin: 1rem 0;
}

.survey-info-item p {
  margin: 0;
}

.survey-info-item i {
  font-size: 2rem;
  margin: 0;
  color: var(--primary-color);
}

.question-buttons {
  display: flex;
  justify-content: space-between;
  width: 100%;
  box-sizing: border-box;
  padding: 0 1rem;
  margin-bottom: -1rem;
  margin-top: 2rem;
  align-items: center;
}

.question-indicator {
  opacity: 0.5;
}

.openbutton {
  background: transparent;
  color: var(--accent-color);
  border: 2px solid var(--accent-color);

  border-radius: 0.5rem;
  cursor: pointer;
}

.questionpoints {
  position: absolute;
  right: 1rem;
  top: -0.25rem;
  opacity: 0.5;
}

.survey-result-info {
  display: flex;
  flex-direction: row;
  gap: 1rem;
  width: 100%;
  margin: 2rem;
  padding: 0 1rem;
  align-items: center;
  box-sizing: border-box;
}

.survey-result-info i {
  font-size: 3rem;
  color: grey;
}

.survey-result-right-container {
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: 0.25rem;
}

.survey-result-text-container {
  display: flex;
  align-items: flex-end;
  gap: 1rem;
  /* position: relative; */
}

.survey-result-text-container .survey-percentage {
  font-size: 2rem;
  font-weight: 500;
}

.survey-result-text-container .survey-passed-text {
  /* position: absolute; */
  bottom: 1rem;
  margin-bottom: 0.25rem;
  opacity: 0.5;
}

.survey-result-bar {
  width: 100%;
  height: 1rem;
  background: #cbcbcb;
  border-radius: 0.5rem;
  position: relative;
}

.survey-result-bar .passLine {
  width: 0.125rem;
  height: 1.5rem;
  background: black;
  border-radius: calc(0.125rem / 2);
  position: absolute;
  left: 70%;
  opacity: 0.5;
  top: -0.25rem;
}

.survey-result-insert {
  height: 100%;
  min-width: 1rem;
  background: grey;
  border-radius: 0.5rem;
  width: 1%;
  transition: width 0.5s ease-in-out;
}

.survey-results-toggle {
  margin: 0.5rem;
  opacity: 0.5;
}

.survey-results {
  width: 96%;
  display: flex;
  flex-direction: column;
  gap: 2rem;
  overflow-y: auto;
  border: none;
  border-radius: 0.5rem;
  padding: 0;
  box-sizing: border-box;
  height: 0;
}

.survey-results.open {
  height: 100%;
  padding: 2rem 0;
  border: 2px solid #cdcdcd;
}

.surveyItem.evaluation {
  background: #ffffff;
  border-radius: 1rem;
  width: calc(100% - 2rem);
  height: calc(100% - 1rem);
  padding-bottom: 0;
  overflow-y: auto;
  overflow-x: hidden;
}

.evaluation .survey-buttons {
  margin-top: auto;
}

.evaluation .question {
  margin-top: 0rem;
}

.rating-container {
  border: 2px solid #cbcbcb;
  border-radius: 0.5rem;
  display: flex;
  flex-direction: row;
  align-items: center;
  /* width: calc(100% + 2rem); */
  align-self: center;
  justify-content: space-between;
  position: relative;
  overflow: hidden;
  margin: 0 1rem 1rem;
}

.rating-item {
  padding: 1rem 0.25rem;
  text-align: center;
  flex-grow: 1;
  flex-shrink: 0;
  /* text-wrap: wrap; */
  flex-basis: 0;
  /* width: 20%; */
  font-size: 0.9rem;
  text-overflow: ellipsis;
  overflow: hidden;
  z-index: 50;
  user-select: none;
}

.rating-item.selected {
  background: unset;
  color: #ffffff;
  font-weight: 500;
}

.rating-selection {
  position: absolute;
  width: 0;
  background: var(--accent-color);
  height: 100px;
  transition: 0.5s;
  border: 2px solid #cdcdcd;
  border-radius: 0.5rem;
}

#cameraBox {
  height: 100%;
  width: 100%;
  position: relative;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
}

#cameraBox video {
  height: 100%;
  width: 100%;
  object-fit: cover;
}

.imageGallery {
  display: flex;
  gap: 0.25rem;
  width: 80%;
  justify-content: flex-start;
  overflow-x: auto;
  padding-bottom: 0.25rem;
}

.imageGallery img {
  width: 4rem;
  height: 4rem;
  border: 1px solid var(--accent-color);
  border-radius: 0.5rem;
  object-fit: cover;
  flex-shrink: 0;
  flex-grow: 0;
}

.captureButton {
  width: 4rem;
  height: 4rem;

  border: 2px solid #ffffff;

  background: var(--accent-color);
  border-radius: 0.5rem;
  top: calc(50% - 2rem);
}

body.landscape-primary .captureButton {
  right: 2rem;
  left: unset;
  top: calc(50% - 2rem);
}

body.landscape-secondary .captureButton {
  right: unset;
  left: 2rem;
  top: calc(50% - 2rem);
}

.switchCameraButton {
  position: absolute;
  bottom: 2rem;
  font-size: 2rem;
  color: #f5f5f580;
  right: 1rem;
  height: 4rem;
  width: 4rem;
  display: flex;
  align-items: center;
  justify-content: center;
}

body.landscape-primary .switchCameraButton {
  left: unset;
  right: 2rem;
  bottom: 1rem;
}
body.landscape-secondary .switchCameraButton {
  left: 2rem;
  right: unset;
  bottom: 1rem;
}

#imageModal {
  padding: 2rem;
  box-sizing: border-box;
  align-items: center;
  justify-content: center;
  backdrop-filter: blur(0.5rem);
  display: flex;
  flex-direction: column;
}

#imageModal img {
}

.imageModalControls {
  display: flex;
  gap: 4rem;
  justify-content: center;
  margin-top: 10px;
}

.imageModalControls .openbutton {
  background: #ffffff;
}

.noCameraMessage {
  display: flex;
  height: 100%;
  width: 100%;
  padding: 2rem;
  text-align: center;
  align-items: center;
  justify-content: center;
  box-sizing: border-box;
  font-size: 1.25rem;
  color: #8e8e8e;
}
